Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518064 - Log out button should be both capitalized for each word
Summary: Log out button should be both capitalized for each word
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Registry Console
Version: 3.7.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.11.0
Assignee: Martin Pitt
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-28 06:13 UTC by XiaochuanWang
Modified: 2018-12-21 15:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-12-21 15:16:28 UTC


Attachments (Terms of Use)

Description XiaochuanWang 2017-11-28 06:13:25 UTC
Description of problem:
Login from registry console, check log out button in top-right corner, it should be "Log Out" instead of "Log out"

Version-Release number of selected component (if applicable):
Cockpit Version 138. 
Openshift 3.7.9

How reproducible:
always

Steps to Reproduce:
1. Login registry console url
2. Check logout button in top-right corner

Actual results:
The button is "Log out".

Expected results:
The button should be "Log Out".

Additional info:

Comment 1 Peter 2017-11-28 14:38:06 UTC
This was fixed upstream back in cockpit 144. IMO this isn't worth a back port.

Comment 2 Yanping Zhang 2017-11-30 09:51:42 UTC
The bug was found on ocp 3.7, here is the cockpit version on 3.7 env:
# oc rsh -n default registry-console-1-7tcx7 rpm -qa | grep cockpit
cockpit-ws-138-10.el7_4.x86_64
cockpit-dashboard-151-1.el7.x86_64
cockpit-system-138-10.el7_4.noarch
cockpit-bridge-138-10.el7_4.x86_64
cockpit-kubernetes-155-1.el7.x86_64

Which package is related to this bug?

Comment 3 Peter 2017-11-30 14:33:27 UTC
cockpit-system

Comment 5 Martin Pitt 2018-09-04 19:56:54 UTC
By now this should really be in current OCP releases - what version of cockpit-system do they ship? If they are RHEL 7.5 based, they should have a new enough Cockpit.

Comment 6 Yanping Zhang 2018-09-05 02:07:11 UTC
# oc rsh registry-console-1-htbfm rpm -qa|grep cockpit
cockpit-bridge-155-1.el7.x86_64
cockpit-kubernetes-155-1.el7.x86_64
cockpit-ws-155-1.el7.x86_64
cockpit-dashboard-172-2.el7.x86_64
cockpit-system-155-1.el7.noarch
Checked on ocp env with above cockpit packages. It's "Log Out" button on page now. The bug has been fixed.

Comment 7 Luke Meyer 2018-12-21 15:16:28 UTC
Closing bugs that were verified and targeted for GA but for some reason were not picked up by errata. This bug fix should be present in current 3.11 release content.


Note You need to log in before you can comment on or make changes to this bug.